*{
  box-sizing: border-box;
}

.ruleCharset{
  font-family:Anton;
}

body {
  margin: 0px;
}

table{
  display: inline-block;
  border: 1px solid gray; 
  background-color: white;
  margin-top: 25px;
}

tr{
  border: 1px solid gray; 
}

th, td{
  text-align: left; 
  border: 1px solid gray; 
}

input[type='text']{
  width: 50px;
  padding: 0;
  margin: 0;
  background-color: inherit;
  border: 1px none gray;
  outline: none;
}

input[type='number']{
  width: 50px;
  padding: 0;
  margin: 0;
  border: 1px none gray;
  outline: none;
  /* Firefox turn off arrows*/
  -moz-appearance: textfield;
}

@media only screen and (orientation: landscape){
  input[type='number']{
    width: 25px;
  }
}

.hideSum{
  font-size: 0;
}

.hidden{
  display: none;
}

.caption {
  font-weight: bold;
}

input[type='button']{
  white-space: normal;
  word-wrap: break-word;
  padding: 0px;
  margin: 0px;
}

#scoreboard{
  min-height: 100%;
  position: relative;
}

#tableContent {
  overflow-x: auto;
  text-align: center;
  /*padding-bottom: 106px;*/
}

#mainmenu{
  top: 50%;
  left: 50%;
  transform: translate(-50% , -50%);
  position: absolute;
}

/* Chrome, Safari, Edge, Opera  turn off arrows of input=number*/
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* responsive stuff */
.col-1 {width: 8.33%;}
.col-2 {width: 16.66%;}
.col-3 {width: 25%;}
.col-4 {width: 33.33%;}
.col-5 {width: 41.66%;}
.col-6 {width: 50%;}
.col-7 {width: 58.33%;}
.col-8 {width: 66.66%;}
.col-9 {width: 75%;}
.col-10 {width: 83.33%;}
.col-11 {width: 91.66%;}
.col-12 {width: 100%;}

[class*="col-"] {
  float: left;
  padding: 15px; 
}

.row::after {
  content: "";
  clear: both;
  display: table;
}

.golfButton {
  position: relative;
  padding:0;
}

.golfButton img{
  width: 100%;
  height: auto;  
  min-width: 55;
  max-width: 100px;
}

.golfButton button{
  position: absolute;
  transform: translate(-100%, -0%);
  -ms-transform: translate(-100%, -0%);
  background-color: transparent;
  color: black;
  font-size: 16px;
  border: none;
  cursor: pointer;
  text-align: center;
  width: 100%;
  height:100%;
  min-width: 55;
  max-width: 100px;
}

@media only screen and (max-width: 330px){
  .golfButton button{
    font-size: 10px;
  }
}

@media only screen and (max-width: 230px){
  .golfButton button{
    font-size: 5px;
  }
}

.ingame-menu {
  overflow: hidden;
  background-color: transparent;
  position: fixed;
  bottom: 0;
  width: 100%;
  /*height: 106px;*/
  text-align: center;
}

#fixedMenuSpacer {
  clear: both;
  height: 100px;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 0px;
  border: 1px solid #888;
  width: 80%;
  max-height:80%;
  
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
}

.modal-header{
  flex-shrink: 0;
  background-color: gainsboro;
  text-align: center;
}

.modal-ranking, .modal-rules{
  flex-grow: 1;
  overflow: auto;
  min-height: 2em;
  border: 5px solid gainsboro;
  padding-bottom: 20px;
}

.modal-footer{
  text-align: right;
  flex-shrink: 0;
  background-color: gainsboro;
  height: 70px;
}

.rankingEntryCaption{
  padding: 0px;
  
}

.rankingEntryCaptionPic{
  padding: 0px;
  text-align: center;
}

.rankingEntryCaptionName{
  padding: 0px;
  text-align: center;
}

.rankingEntryCaptionSum{
  padding: 0px;
  text-align: center;
}

.rankingEntry{
  padding: 0px;
}

.rankingEntryPic{
  padding: 0px;
  text-align: center;
}

.rankingEntryName{
  padding: 0px;
  text-align: center;
}

.rankingEntrySum{
  padding: 0px;
  text-align: center;
}

.rankingEntry.rank1{
  font-size: 28px;
}

.rankingEntry.rank2{
  font-size: 24px;
}

.rankingEntry.rank3{
  font-size: 20px;
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

button#btnFinishRound{
  height:50px;
  width: 150px;
  position: relative;

  top: 10px;
  right: 10px;
}

.background-main{
  position: fixed;
  background-image: url('../img/start/background.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  width: 100%;
  height: 100%;
}

.btnMainMenu{
  width: 300px; 
  height: 150px;
  background-size: 300px 150px;
  font-size: 30px;
  color: white;
  font-weight: bold;
  -webkit-text-stroke: 1px black; /* width and color */
}

#btnAdventure{
  background-image: url('../img/start/adventuregolf.jpg'); 
}

#btnMinigolf{
  background-image: url('../img/start/minigolf.jpg'); 
}

#logo-main{
  margin-top: 12px;
  position: absolute;
  left:50%;
  
  transform: translate(-50%, -0%);
  -ms-transform: translate(-50%, -0%);
  display: block;

  height: 300px;
}

#logo-main img{
  height:auto;
  width:auto;
  max-height: 100%;
  max-width: 100%;
  margin: auto;
}

@media only screen and (max-height: 599px){
  #logo-main{
    display: none;
  }

  #logo-main img{
    display: none;
  }
}

@media only screen and (min-height: 600px){
  #logo-main{
    display: block;
    height: 100px;
  }
}

@media only screen and (min-height: 700px){
  #logo-main{
    display: block;
    height: 150px;
  }
}

@media only screen and (min-height: 800px){
  #logo-main{
    display: block;
    height: 200px;
  }
}

@media only screen and (min-height: 900px){
  #logo-main{
    display: block;
    height: 250px;
  }
}

@media only screen and (min-height: 1000px){
  #logo-main{
    display: block;
    height: 300px;
  }
}